Loading...
Searching...
No Matches
DiColorOutputPixel Class Referenceabstract

Abstract base class to create color output data. More...

Inheritance diagram for DiColorOutputPixel:

## Public Member Functions

| DiColorOutputPixel (const DiPixel *pixel, const unsigned long size, const unsigned long frame)
| constructor
virtual | ~DiColorOutputPixel ()
| destructor
virtual EP_Representation | getRepresentation () const =0
| get integer representation (abstract)
virtual const void * | getData () const =0
| get pointer to output pixel data (abstract)
virtual void * | getDataPtr ()=0
| get pointer to output pixel data (abstract)
virtual const void * | getPlane (const int plane) const =0
| get pointer to given plane of output pixel data (abstract)
virtual size_t | getItemSize () const =0
| get size of one pixel / item in the pixel array (abstract)
virtual int | writePPM (STD_NAMESPACE ostream &stream) const =0
| write pixel data of selected frame to PPM/ASCII file (abstract)
virtual int | writePPM (FILE *stream) const =0
| write pixel data of selected frame to PPM/ASCII file (abstract)
unsigned long | getCount () const
| get number of pixel per frame

## Protected Attributes

unsigned long | Count
| number of pixels per frame (intermediate representation)
const unsigned long | FrameSize
| number of pixels per frame (memory buffer size)

## Detailed Description

Abstract base class to create color output data.

## Constructor & Destructor Documentation

## DiColorOutputPixel()

DiColorOutputPixel::DiColorOutputPixel | ( | const DiPixel * | pixel,
|  | const unsigned long | size,
|  | const unsigned long | frame )

constructor

Parameters

  pixel | pointer to intermediate pixel representation
  size | number of pixel per frame
  frame | frame to be rendered

Referenced by DiColorOutputPixelTemplate< T1, T2 >::DiColorOutputPixelTemplate(), and DiColorOutputPixelTemplate< T1, T2 >::DiColorOutputPixelTemplate().

## Member Function Documentation

## getCount()

unsigned long DiColorOutputPixel::getCount | ( |  | ) | const

inline

get number of pixel per frame

Returns
  number of pixel per frame

References FrameSize.

## getData()

virtual const void * DiColorOutputPixel::getData | ( |  | ) | const

pure virtual

get pointer to output pixel data (abstract)

Returns
  pointer to pixel data

Implemented in DiColorOutputPixelTemplate< T1, T2 >.

## getDataPtr()

virtual void * DiColorOutputPixel::getDataPtr | ( |  | ) |

pure virtual

get pointer to output pixel data (abstract)

Returns
  pointer to pixel data

Implemented in DiColorOutputPixelTemplate< T1, T2 >.

## getItemSize()

virtual size_t DiColorOutputPixel::getItemSize | ( |  | ) | const

pure virtual

get size of one pixel / item in the pixel array (abstract)

Returns
  item size

Implemented in DiColorOutputPixelTemplate< T1, T2 >.

## getPlane()

virtual const void * DiColorOutputPixel::getPlane | ( | const int | plane | ) | const

pure virtual

get pointer to given plane of output pixel data (abstract)

Parameters

  plane | number of the plane to be retrieved (0..2)

Returns
  pointer to beginning of plane if successful, NULL otherwise

Implemented in DiColorOutputPixelTemplate< T1, T2 >.

## getRepresentation()

virtual EP_Representation DiColorOutputPixel::getRepresentation | ( |  | ) | const

pure virtual

get integer representation (abstract)

Returns
  integer representation

Implemented in DiColorOutputPixelTemplate< T1, T2 >.

## writePPM() [1/2]

virtual int DiColorOutputPixel::writePPM | ( | FILE * | stream | ) | const

pure virtual

write pixel data of selected frame to PPM/ASCII file (abstract)

Parameters

  stream | open C file stream

Returns
  status, true if successful, false otherwise

Implemented in DiColorOutputPixelTemplate< T1, T2 >.

## writePPM() [2/2]

virtual int DiColorOutputPixel::writePPM | ( | STD_NAMESPACE ostream & | stream | ) | const

pure virtual

write pixel data of selected frame to PPM/ASCII file (abstract)

Parameters

  stream | open C++ output stream

Returns
  status, true if successful, false otherwise

Implemented in DiColorOutputPixelTemplate< T1, T2 >.

The documentation for this class was generated from the following file:

- dcmimage/include/dcmtk/dcmimage/dicoopx.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0